Autor Tópico: (Resolvido) Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql  (Lida 6824 vezes)

Offline magnosantoss

  • Usuário Ubuntu
  • *
  • Mensagens: 114
    • Ver perfil
Olá amigos,
Na minha empresa tenho um servidor Linux, rodando Ubuntu 12.04 (Ubuntu Server, não utilizo com interface gráfica - é a versão server mesmo) com Samba, para que as estações Windows possam ter acesso a ele. Ontem atualizei a versão para a 14.04 e notei que aparece sempre a seguinte mensagem quando abro uma sessão no sistema:

Erros foram encontrados durante o processamento de:
 postgresql-client-9.3
 postgresql-9.3
 postgresql
 postgresql-client
 postgresql-contrib-9.3
 postgresql-contrib
E: Sub-process /usr/bin/dpkg returned an error code (1)

Como posso fazer para consertar isso e não correr o risco de uma nova versão do Postgresql afetar meus dados e o acesso aos mesmos?! Como faço para remover essas mensagens de erro?!


-===============================================

Em tempo, quando atualizei da versão 12.04 para a 14.04, todas as permissões dos usuários no Samba foram modificadas; daí um usuário tal, que antes acessava uma área tal no servidor, passou a não acessar mais, e assim por diante.  

Refiz tudo de novo, mas quando o sistema carrega, antes de aparecer a tela de usuário e senha, no servidor, ele sempre mostra o carregamento dos pacotes / programas etc; dentre eles o Samba; nessa nova versão, mostra Samba/CIFS (fail). será que isso tem a ver com esses problemas enfrentados?!  Como posso corrigir isso?!
« Última modificação: 08 de Agosto de 2014, 14:43 por magnosantoss »

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #1 Online: 29 de Julho de 2014, 23:42 »
Olá!

Você disse que refez tudo de novo? Como assim? Você reinstalou o Ubuntu Server?

Se não reinstalou, tente rodar um "sudo dpkg --configure -a" para corrigir e/ou um "sudo apt-get install -f"

Você atualizou o sistema ou fez uma instalação do zero?

Abraços!

Offline magnosantoss

  • Usuário Ubuntu
  • *
  • Mensagens: 114
    • Ver perfil
Re: Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #2 Online: 30 de Julho de 2014, 14:23 »
Olá meu amigo,

Nenhum dos dois comandos resolveu; abaixo colocarei a mensagem de retorno. Outra coisa, quando eu disse que refiz tudo, quer dizer, refiz as permissões do Samba, entendeu?!  Tive que refazer as permissões dele.
Vou postar abaixo, como eu disse, o retorno do sistema, mas gostaria de aprender a postar as mensagens do terminal como outros usuários fazem, pra não ficar muito grande, como faço isso?!

 as: magno
magno@192.168.1.95's password:
Welcome to Ubuntu 14.04.1 LTS (GNU/Linux 3.8.0-37-generic x86_64)

 * Documentation:  https://help.ubuntu.com/

  System information as of Wed Jul 30 09:33:03 BRT 2014

  System load:  0.0                 Processes:           165
  Usage of /:   40.3% of 908.19GB   Users logged in:     0
  Memory usage: 3%                  IP address for eth0: 192.168.1.95
  Swap usage:   0%

  => /boot is using 93.0% of 227MB

  Graph this data and manage this system at:
    https://landscape.canonical.com/

0 packages can be updated.
0 updates are security updates.

Last login: Wed Jul 30 09:33:05 2014 from 192.168.1.107
magno@Dell-T420:~$ sudo dpkg --configure -a
[sudo] password for magno:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Configurando initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: deferring update (trigger activated)
Configurando postgresql-client-9.3 (9.3.4-1) ...
update-alternatives: erro: a alternativa pg_basebackup.1.gz não pode ser escrava de psql.1.gz: é um escravo de postmaster.1.gz
dpkg: error processing package postgresql-client-9.3 (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 2
dpkg: problemas com dependências impedem a configuração de postgresql-client:
 postgresql-client depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-client (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-9.3:
 postgresql-9.3 depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib-9.3:
 postgresql-contrib-9.3 depende de postgresql-9.3 (= 9.3.4-1); porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib:
 postgresql-contrib depende de postgresql-contrib-9.3; porém:
  Pacote postgresql-contrib-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql:
 postgresql depende de postgresql-9.3; porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql (--configure):
 problemas de dependência - deixando desconfigurado
Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-3.8.0-37-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.8.0-37-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
 postgresql-client-9.3
 postgresql-client
 postgresql-9.3
 postgresql-contrib-9.3
 postgresql-contrib
 postgresql
 initramfs-tools
magno@Dell-T420:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 4 não atualizados.
7 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Configurando initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: deferring update (trigger activated)
Configurando postgresql-client-9.3 (9.3.4-1) ...
update-alternatives: erro: a alternativa pg_basebackup.1.gz não pode ser escrava de psql.1.gz: é um escravo de postmaster.1.gz
dpkg: error processing package postgresql-client-9.3 (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 2
dpkg: problemas com dependências impedem a configuração de postgresql-9.3:
 postgresql-9.3 depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql:
 postgresql depende de postgresql-9.3; porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-client:
 postgresql-client depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-client (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib-9.3:
Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
                                 Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
                                                                  Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                    postgresql-contrib-9.3 depende de postgresql-9.3 (= 9.3.4-1); porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib:
 postgresql-contrib depende de postgresql-contrib-9.3; porém:
  Pacote postgresql-contrib-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib (--configure):
 problemas de dependência - deixando desconfigurado
Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                                 Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                  Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-3.8.0-37-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.8.0-37-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 1
Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                                 Erros foram encontrados durante o processamento de:
 postgresql-client-9.3
 postgresql-9.3
 postgresql
 postgresql-client
 postgresql-contrib-9.3
 postgresql-contrib
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
magno@Dell-T420:~$
Código: [Selecionar]
Código: [Selecionar]
as: magno
magno@192.168.1.95's password:
Welcome to Ubuntu 14.04.1 LTS (GNU/Linux 3.8.0-37-generic x86_64)

 * Documentation:  https://help.ubuntu.com/

  System information as of Wed Jul 30 09:33:03 BRT 2014

  System load:  0.0                 Processes:           165
  Usage of /:   40.3% of 908.19GB   Users logged in:     0
  Memory usage: 3%                  IP address for eth0: 192.168.1.95
  Swap usage:   0%

  => /boot is using 93.0% of 227MB

  Graph this data and manage this system at:
    https://landscape.canonical.com/

0 packages can be updated.
0 updates are security updates.

Last login: Wed Jul 30 09:33:05 2014 from 192.168.1.107
magno@Dell-T420:~$ sudo dpkg --configure -a
[sudo] password for magno:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Configurando initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: deferring update (trigger activated)
Configurando postgresql-client-9.3 (9.3.4-1) ...
update-alternatives: erro: a alternativa pg_basebackup.1.gz não pode ser escrava de psql.1.gz: é um escravo de postmaster.1.gz
dpkg: error processing package postgresql-client-9.3 (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 2
dpkg: problemas com dependências impedem a configuração de postgresql-client:
 postgresql-client depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-client (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-9.3:
 postgresql-9.3 depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib-9.3:
 postgresql-contrib-9.3 depende de postgresql-9.3 (= 9.3.4-1); porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib:
 postgresql-contrib depende de postgresql-contrib-9.3; porém:
  Pacote postgresql-contrib-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql:
 postgresql depende de postgresql-9.3; porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql (--configure):
 problemas de dependência - deixando desconfigurado
Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-3.8.0-37-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.8.0-37-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
 postgresql-client-9.3
 postgresql-client
 postgresql-9.3
 postgresql-contrib-9.3
 postgresql-contrib
 postgresql
 initramfs-tools
magno@Dell-T420:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 4 não atualizados.
7 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Configurando initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: deferring update (trigger activated)
Configurando postgresql-client-9.3 (9.3.4-1) ...
update-alternatives: erro: a alternativa pg_basebackup.1.gz não pode ser escrava de psql.1.gz: é um escravo de postmaster.1.gz
dpkg: error processing package postgresql-client-9.3 (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 2
dpkg: problemas com dependências impedem a configuração de postgresql-9.3:
 postgresql-9.3 depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql:
 postgresql depende de postgresql-9.3; porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-client:
 postgresql-client depende de postgresql-client-9.3; porém:
  Pacote postgresql-client-9.3 não está configurado ainda.

dpkg: error processing package postgresql-client (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib-9.3:
Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
                                 Nenhum relatório apport escrito pois a mensagem de erro indica que é um erro de seguimento de um erro anterior.
                                                                  Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                    postgresql-contrib-9.3 depende de postgresql-9.3 (= 9.3.4-1); porém:
  Pacote postgresql-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib-9.3 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de postgresql-contrib:
 postgresql-contrib depende de postgresql-contrib-9.3; porém:
  Pacote postgresql-contrib-9.3 não está configurado ainda.

dpkg: error processing package postgresql-contrib (--configure):
 problemas de dependência - deixando desconfigurado
Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                                 Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                  Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-3.8.0-37-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.8.0-37-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 1
Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                                 Erros foram encontrados durante o processamento de:
 postgresql-client-9.3
 postgresql-9.3
 postgresql
 postgresql-client
 postgresql-contrib-9.3
 postgresql-contrib
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
magno@Dell-T420:~$

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #3 Online: 30 de Julho de 2014, 20:30 »
Tente rodar estes comandos:

Para reinstalar o Samba:

sudo apt-get install --reinstall samba

E depois:

sudo apt-get autoremove --purge

sudo apt-get clean

sudo apt-get autoclean

sudo dpkg --configure -a

sudo apt-get install -f

sudo apt-get remove -f



Fonte do comando sudo apt-get remove -f:

http://www.hardware.com.br/guias/ubuntu/dpkg-solucionando-problemas.html

Se quiser dê uma lida.
« Última modificação: 08 de Agosto de 2014, 02:34 por Renan Rischiotto »

Offline magnosantoss

  • Usuário Ubuntu
  • *
  • Mensagens: 114
    • Ver perfil
Re: Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #4 Online: 07 de Agosto de 2014, 15:00 »
Olá amigo, estou com medo de tentar esse último comando o "sudo dpkg-reconfigure --all" fui fazer numa máquina que usamos pra teste e veio de retorno vários avisos, de certificados e etc daí fiquei com medo de continuar. Caso rode esse comando em meu servidor, não corro o risco de perder meu sistema não?!

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #5 Online: 07 de Agosto de 2014, 23:50 »
Olá amigo, estou com medo de tentar esse último comando o "sudo dpkg-reconfigure --all" fui fazer numa máquina que usamos pra teste e veio de retorno vários avisos, de certificados e etc daí fiquei com medo de continuar. Caso rode esse comando em meu servidor, não corro o risco de perder meu sistema não?!

Olá!

Então, esse último comando e alguns outros que eu liste eu não costumo usar, esse último parece que faz uma espécie de reconfiguração dos pacotes. Eu fiz aqui e aparentemente não deu nada, mas se você não quiser fazer não faz, talvez seja melhor mesmo. Mas em último caso você pode tentar, por exemplo, caso a única opção seja de reinstalar o sistema, daí acho interessante rodar esse comando para ver se resolve. Mas não deu resolveu com os comandos anteriores?


Obs: Corrigi o comando sudo apt-get dpkg --configure -a, na verdade é sudo dpkg --configure -a.

Abraços!
« Última modificação: 08 de Agosto de 2014, 02:33 por Renan Rischiotto »

Offline magnosantoss

  • Usuário Ubuntu
  • *
  • Mensagens: 114
    • Ver perfil
(RESOLVIDO) Re: Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #6 Online: 08 de Agosto de 2014, 14:42 »
Obrigado amigo. Realmente não resolveu; vou copiar tudo pro meu HD externo e vou reinstalar o sistema; desta vez vou deixar com o Ubuntu Server 12.04.4 mesmo, como estava, antes de isso tudo acontecer; mais uma vez, meu muito obrigado.

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: (Resolvido) Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #7 Online: 09 de Agosto de 2014, 00:59 »
Que pena que não deu certo :(

De nada, qualquer coisa volte a postar :)

Abraços!

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: (Resolvido) Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #8 Online: 09 de Agosto de 2014, 10:47 »
Postagem na sessão errada.

Faça (ou peça para algum moderador remover) sua postagem para a sessão Internet, Redes e Seguranças, que zekkerj e/ou Arthur Bernardes lhe ajudarão.

NÃO há necessidade de reinstalar por causa deste erro!
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.637
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
    • Blog do Zekke
Re: (Resolvido) Atualização do Ubuntu Server 12.04 para 14.04 e Postgresql
« Resposta #9 Online: 10 de Agosto de 2014, 13:31 »
Olá magno, você observou essa mensagem?

Citar
gzip: stdout: No space left on device

Se isso não é a origem do teu problema, com certeza a solução passa por isso também.

Outra coisa, qual é o uso que vc faz do Postgre? Se não faz nenhum uso, considere removê-lo da máquina. Princípio KISS.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D